import Vue from 'vue'
import Router from 'vue-router'
import ColmoIndex from '@/pages'
import AllPages from '@/pages/AllPages'
import Test from '@/pages/Test'
import SignUp from '@/pages/signup'
import Result from '@/pages/resultPage'

Vue.use(Router)

export default new Router({
  mode: "history",

  routes: [
    {
      path: '/',
      name: 'ColmoIndex',
      component: ColmoIndex
    },
    {
      path: '/pages',
      name: 'AllPages',
      component: AllPages
    },
    {
      path: '/pages',
      name: 'Test',
      component: Test
    },
    // 报名页
    {
      path: '/signup',
      name: 'signup',
      component: SignUp
    },
    // 结果页
    {
      path: '/resultPage',
      name: 'Result',
      component: Result
    }
  ]
})
